#ifndef LOCAL
#pragma GCC optimize("O3,unroll-loops")
#endif

#include <bits/extc++.h>

using namespace std;

#define int long long
#define ll long long
#define ull unsigned long long
#define all(x) x.begin(), x.end()

int32_t main() {
#ifndef LOCAL
    cin.tie(nullptr), ios_base::sync_with_stdio(false);
#endif
    int n,q;
    cin >> n >> q;
    vector <int> a(n);
    for (int & i : a) cin >> i;
    while (q--) {
        int t, x;
        cin >> t >> x;
        if (t ==2) cout << x << '\n';
    }
    return 0;
}
